/* GCC */

#include <fstream>
#include <map> //Should have used std::unordered_map instead, but C++11 is prohibited from use. O(lg N) lookup instead of O(1).

int main() {
    std::ifstream input("coins.in");
    std::ofstream output("coins.out");

    int s, n;

    input >> s >> n;

    std::map<int, int> coins;

    int tmp;
    for(int i = 0; i < n; ++i) {
        input >> tmp;
        ++coins[tmp];
    }

    int out = 0;

    for(std::map<int, int>::iterator it = coins.begin(); it != coins.end(); ++it) { //No C++11, that is equivalent to for-ranged loop.
        if(it->first * 2 != s) {
            out += it->second * coins[s - it->first];
        } else {
            out += it->second * (it->second - 1);
        }
    }

    output << out / 2 << "\n";

    return 0;
}
