/* GCC */

#include <algorithm>
#include <fstream>
#include <vector>

void out(const std::vector<int>& a, const std::vector<int>& b) {
    std::ofstream output("stamps.out");
    int n = a.size();
    output << a[0];
    for(int i = 1; i < n; ++i) output << " " << a[i]; //Workaround as last symbol should NOT be space.
    output << "\n" << b[0];
    for(int i = 1; i < n; ++i) output << " " << b[i]; //Workaround as last symbol should NOT be space.
    output << "\n";
}

//O(n lg n).
int main() {
    std::ifstream input("stamps.in");

    int n;
    input >> n;
    std::vector<int> numbers(n * 2);

    for(int i = 0; i < 2 * n; ++i) {
        input >> numbers[i];
    }
    std::sort(numbers.begin(), numbers.end());

    std::vector<int> a(n);
    std::vector<int> b(n);

    //Three cases possible. numbers[0] always belongs to Yaroslav.
    //1. numbers[1] belongs to Yaroslav.
    int current = numbers[1];
    int d = numbers[1] - numbers[0];
    int k = 2;
    for(int i = 2; i < 2 * n; i++) {
        if(numbers[i] == current + d) {
            current += d;
            ++k;
        }
    }

    if(k == n) {
        a[0] = numbers[0];
        a[1] = numbers[1];
        current = numbers[1];
        k = 2;
        int g = 0;
        for(int i = 2; i < 2 * n; ++i) {
            if(numbers[i] == current + d) {
                a[k++] = numbers[i];
                current += d;
            } else {
                b[g++] = numbers[i];
            }
        }
        out(a, b);
        return 0;
    }

    //2. numbers[1] belongs to girl. numbers[2] to Yaroslav.
    current = numbers[2];
    d = numbers[2] - numbers[0];

    for(int i = 2; i < 2 * n; i++) {
        if(numbers[i] == current + d) {
            current += d;
            ++k;
        }
    }

    if(k == n) {
        a[0] = numbers[0];
        a[1] = numbers[2];
        b[0] = numbers[1];
        current = numbers[2];
        k = 2;
        int g = 1;
        for(int i = 3; i < 2 * n; ++i) {
            if(numbers[i] == current + d) {
                a[k++] = numbers[i];
                current += d;
            } else {
                b[g++] = numbers[i];
            }
        }
        out(a, b);
        return 0;
    }

    //3. numbers[1] belongs to girl. numbers[2] belongs to girl.
    current = numbers[2];
    d = numbers[2] - numbers[1];
    a[0] = numbers[0];
    b[1] = numbers[2];
    b[0] = numbers[1];
    current = numbers[2];
    k = 1;
    int g = 2;
    for(int i = 3; i < 2 * n; ++i) {
        if(numbers[i] == current + d) {
            b[g++] = numbers[i];
            current += d;
        } else {
            a[k++] = numbers[i];
        }
    }
    out(a, b);

    return 0;
}
