/* GCC */
#include <iostream>
#include <fstream>
#include <vector>

using namespace std;

bool check_if_has_elem(vector<int> &v, int a) {
    for(int i = 0; i < v.size(); ++i)
        if(v[i] == a)
        return true;
    return false;
}

bool check_if_can_move(vector<vector<int> > &pairs, vector<int> &col, int a) {
    for(int i = 0; i < col.size(); ++i) {
        if(check_if_has_elem(pairs[col[i]-1], a))
            return false;
    }
    return true;
}

int main()
{
    ifstream filein;
    filein.open("wrappers.in");
    int n, m;
    filein >> n >> m;
    vector<vector<int> > pairs;
    for(int i = 0; i < n; ++i) {
        vector<int> v;
        pairs.push_back(v);
    }
    for(int i = 0; i < m; ++i) {
        int a, b;
        filein >> a >> b;
        pairs[a-1].push_back(b);
        pairs[b-1].push_back(a);
    }
    filein.close();
    vector<int> col1;
    vector<int> col2;
    for(int i = 0; i < n; ++i)
        if(check_if_has_elem(pairs[0], i+1))
            col2.push_back(i+1);
        else
            col1.push_back(i+1);
    bool zero = false;
    vector<int> to_erase;
    for(int i = 1; (i < col1.size()-1) && !zero; ++i) {

        for(int j = i + 1; j < col1.size(); ++j) {

            if(check_if_has_elem(pairs[col1[i]-1], col1[j])) {

                if(check_if_can_move(pairs, col2, col1[j]) && !check_if_can_move(pairs, col2, col1[i])) {

                    col2.push_back(col1[j]);
                    to_erase.push_back(j);
                }
                else if(!check_if_can_move(pairs, col2, col1[j]) && check_if_can_move(pairs, col2, col1[i])) {

                    col2.push_back(col1[i]);
                    to_erase.push_back(i);
                }
                else if(!check_if_can_move(pairs, col2, col1[j]) && !check_if_can_move(pairs, col2, col1[i])) {
                    zero = true;
                    break;
                }
            }
        }
    }
    for(int i = 0; i < to_erase.size(); ++i)
        col1[to_erase[i]] = -1;
    for(int i = 0; (i < col2.size()-1) && !zero; ++i) {
        for(int j = i + 1; j < col2.size(); ++j) {
            if(check_if_has_elem(pairs[col2[i]-1], col2[j])) {
                zero = true;
                break;
            }
        }
    }
    bool unsorted1 = true;
    while(unsorted1) {
            unsorted1 = false;
        for(int i = 0; i < col1.size()-1; ++i) {
            if(col1[i] > col1[i+1]) {
                int temp = col1[i];
                col1[i] = col1[i+1];
                col1[i+1] = temp;
                unsorted1 = true;
            }
        }
    }
    bool unsorted2 = true;
    while(unsorted2) {
            unsorted2 = false;
        for(int i = 0; i < col2.size()-1; ++i) {
            if(col2[i] > col2[i+1]) {
                int temp = col2[i];
                col2[i] = col2[i+1];
                col2[i+1] = temp;
                unsorted2 = true;
            }
        }
    }
    ofstream fileout;
    fileout.open("wrappers.out");
    if(!zero) {
    for(int i = 0; i < col1.size(); ++i) {
        if(col1[i] != -1) {
            fileout << col1[i];
        if(i != col1.size()-1)
            fileout << " ";
        }
    }
    fileout << '\n';
    for(int i = 0; i < col2.size(); ++i) {
        fileout << col2[i];
        if(i != col2.size()-1)
            fileout << " ";
    }
    fileout << '\n';
    } else {
        fileout << 0 << '\n' << 0 << '\n';
    }
    fileout.close();
    return 0;
}
