/* GCC */
#include <fstream>
#include <vector>

using namespace std;

void qsort(vector<long int> &a, long int first, long int last){
    long int f = first, l = last;
    long int mid = a[(f + l) /2 ];
    long int temp = 0;

    do{
        while(a[f] < mid) f++;
        while(a[l] > mid) l--;

        if(f <= l){
            temp = a[f];
            a[f] = a[l];
            a[l] = temp;

            f++;
            l--;
        }

    } while(f < l);

    if(first < l) qsort(a, first, l);
    if(last > f) qsort(a, f, last);
}

void show_result(vector<long int> &first, vector<long int> &second, long int n){
    ofstream cout("stamps.out");

    for(long int i = 0; i < n; i++){
        cout << first[i] << " ";
    }

    cout << endl;

    for(long int i = 0; i < n; i++){
        cout << second[i] << " ";
    }

    cout << endl;
    cout.close();
}

bool check_first_progress(vector<long int> &a, vector<long int> &first, vector<long int> &second, long int n, long int k){
    long int counter = 0;
    long int element = a[0];

    for(long int i = 1; i < 2 * n; i++){
        if(a[i] == element + k && counter != n - 1){
            first.push_back(a[i]);
            counter++;
            element += k;
        }
        else if(counter != n - 1){
            second.push_back(a[i]);
        }
        else{
            first.clear();
            second.clear();
            first.push_back(a[0]);
            return false;
        }

        if(i == 2 * n - 1 && counter != n - 1){
            first.clear();
            second.clear();
            first.push_back(a[0]);
            return false;
        }
    }
    return true;
}
bool check_second_progress(vector<long int> &second, long int n){
    long int k = second[1] - second[0];
    for(int i = 1; i <n; i++){
        if(second[i] - second[i - 1] != k){
            return false;
        }
    }
    return true;
}
long int find_k(vector<long int> &a, long int i){
    return a[i] - a[0];
}

int main()
{
    ifstream cin("stamps.in");


    long int n = 0;
    cin >> n;

    vector<long int> a(2 * n);
    vector<long int> first;
    vector<long int> second;

    for(long int i = 0; i < 2 * n; i++){
        cin >> a[i];
    }
    cin.close();

    qsort(a, 0, 2 * n - 1);

    for(long int i = 1 ; i < 2 * n; i++){
        if(check_first_progress(a, first, second, n, find_k(a, i)) && check_second_progress(second, n)){
           show_result(first, second, n);
           break;
        }
    }

    return 0;
}
