""" Python 3 """

with open('stamps.in') as input_file:
    n = int(input_file.readline())
    stamps = tuple(map(int, input_file.readline().split()))

pivot = min(stamps)

ds = set(filter(lambda x: x > 0, map(lambda x: x - pivot, stamps)))


def check_d(d):
    curr = pivot

    for i in range(n - 1):
        curr += d

        if curr not in stamps:
            return False

    return True


def generate_progression(d, start):
    curr = start

    for i in range(n):
        yield curr + i * d


def is_progression(l):
    if len(l) <= 2:
        return True

    d = l[1] - l[0]

    for i in range(1, len(l) - 1):
        if l[i + 1] - l[i] != d:
            return False

    return True


with open('stamps.out', 'w') as output_file:
    for d in ds:
        if not check_d(d):
            continue

        first = tuple(generate_progression(d, pivot))

        second = sorted(filter(lambda x: x not in first, stamps))

        if not is_progression(second):
            continue

        lines = [
            ' '.join(map(str, first)),
            ' '.join(map(str, second))
        ]

        if first[0] > second[0]:
            lines.reverse()

        output_file.write('\n'.join(lines) + '\n')
        break
