""" Python 3 """

with open('wrappers.in') as input_file:
    n, m = map(int, input_file.readline().split())

    pairs = tuple(tuple(map(lambda x: int(x) - 1, input_file.readline().split())) for _ in range(m))

matrix = [[1] * n for _ in range(n)]

for pair in pairs:
    matrix[pair[0]][pair[1]] = 0
    matrix[pair[1]][pair[0]] = 0

variants = tuple(set(map(lambda row: ''.join(map(str, row)), matrix)))

with open('wrappers.out', 'w') as output_file:
    if len(variants) != 2:
        output_file.write('0\n0\n')
        exit()

    variant = []

    for i in range(n):
        if variants[0][i] == '1':
            variant.append(i + 1)

    variant2 = tuple(filter(lambda x: x not in variant, range(1, n + 1)))

    lines = [
        ' '.join(map(str, variant)),
        ' '.join(map(str, variant2))
    ]

    if 1 in variant2:
        lines.reverse()

    output_file.write('\n'.join(lines) + '\n')